---
title: MyCryptoVaulet.net Cold Storage Coins
appId: mycryptovaultnet.coins
authors:
- danny
released: 2015-03-04
discontinued: 2019-03-09
updated: 
version: 
binaries: 
dimensions: 
weight: 
provider: MyCryptoVault
providerWebsite: 
website: https://web.archive.org/web/20160111002328/http://mycryptovault.net/
shop: 
country: US
price: 15USD
repository: 
issue: 
icon: mycryptovaultnet.coins.png
bugbounty: 
meta: defunct
verdict: plainkey
date: 2022-04-29
signer: 
reviewArchive: 
twitter: myCryptoVAULTne
social:
- https://www.facebook.com/Crypto-Vault-1607275746177425/

---

## Background 

Announced via [Bitcointalk](https://bitcointalk.org/index.php?topic=975527.0) on March 4, 2015 mycryptovault.net started with ~450 vault coins with the following: 

> - Singles: Bitcoin Equivalent of $10.00USD +Shipping(worldwide)
- 10 Stack: Bitcoin Equivalent of $75.00USD +Shipping(worldwide)
- 50 Stack: Bitcoin Equivalent of $300.00USD Free Shipping(worldwide)
- 100 Stack: Bitcoin Equivalent of $500.00USD Free Shipping(worldwide)

<iframe width="560" height="315" src="https://www.youtube.com/embed/aPQbOVc_gw4" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe><br />

MyCryptoVault [announced on March 9, 2019](https://www.facebook.com/permalink.php?story_fbid=1701956066709392&id=1607275746177425&__cft__[0]=AZUP6ANNjAI5zZxkUzCT8WfzbNVp1A0qtjJ80kLv7tlgpSyqODC22ODn-vCt0WrNbWiSNIdxZNSWH0n6U9MQHpCcAbYUtZRHdPpKKbyDMtywOqD4UWRP6_sR4pFp5reTUQbPXuZ7VMTwQJDzSkzP7AAe&__tn__=%2CO%2CP-R) that they would be closing their shop because the "volume is too low"

## Product Description 

Similar to {% include walletLink.html wallet='bearer/casascius' verdict='true' %} the public key and the private key are printed via sticker on the coin. The end user is the one who would be printing the paper (sticker) wallet to attach to the back side of the coin.

## Analysis 

Printing the private keys on a piece of paper requires a bit of nuance on the part of owner. While the metal coin might survive say, a fire, the paper component is problematic indeed. Once that has been overcome, the token would then have to be brought on to another system or wallet in order for a transfer to commence. 